
package de.ivu.elect.presentation.person.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.person.entity.Beruf;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.person.BerufEditView;

@Named(BerufEditAction.COMPONENT_NAME)
public class BerufEditAction extends AbstractBerufAction {

  public static final String COMPONENT_NAME = "berufEditAction";

  @View
  @Inject
  BerufEditView editView;

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isDisabledInternal(@Nonnull Beruf entity) {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }

  @Override
  protected String doIt(Beruf entity) {
    return editView.edit(entity);
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.BERUF_EDIT;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

}
